@import "../../../styles/helpers";

/***********************************/
/**          Post Links           **/
/***********************************/

.post-links{
  margin-bottom: 0;
  font-size: $font-size-sm;
  padding-left: 0;
  @include clearfix();
  > li{
    float: left;
    list-style: none;

    + li{
      &:before{
        color: #999;
        content: "\25cf";
        padding: 0 8px;
      }
    }
    > a{
      text-decoration: none;
      color: $text-muted;
      &:hover{
        color: $text-muted;
      }
    }
  }

  &.no-separator > li + li{
    margin-left: 12px;
    &:before{
      content: normal;
    }
  }
}

/***********************************/
/**          Post Comments           **/
/***********************************/

.post-comments{
  font-size: $font-size-sm;
  padding-left: 0;
  @include clearfix();

  .post-links + &{
    margin-top: $spacer / 2;
  }

  > li {
    padding: 10px;
    border-top: 1px solid #e7e7e7;
    list-style: none;
    @include clearfix();

    &:last-child{
      padding-bottom: 0;
    }
  }

  p:last-child{
    margin-bottom: 0;
  }

  .avatar{
    margin-top: 1px;
  }

  .author{
    margin-top: 0;
    margin-bottom: 2px;
    color: #7ca9dd;
  }

  .comment-body{
    overflow: auto;
  }

  h6.author > small{
    font-size: 11px;
  }

  .widget > footer &{
    margin-left: -$widget-padding-horizontal;
    margin-right: -$widget-padding-horizontal;
  }
}

/***********************************/
/**           Post User           **/
/***********************************/

.post-user{
  position: relative;
  @include clearfix();

  img{
    border: 3px solid white;
  }
}

/***********************************/
/**           Profile             **/
/***********************************/

.user-profile {
  .label {
    padding: 5px;
  }
}

.post-user-profile {
  margin-top: -75px;

  .contacts {
    display: flex;  
    flex-direction: column;
    margin-top: 15px;
    margin-left: -10px;
    margin-right: -10px;
    padding-left: 0;
    text-align: center;

    > li {
      display: inline-block;
      line-height: 2.2;
      list-style: none;
      text-align: left;
      margin: 0 10px;

      @include media-breakpoint-up(lg){
        width: 150px;
        white-space: nowrap;
      }

      > a {
        color: lighten($text-color, 30%);
        text-decoration: none;

        &:hover,
        &:focus {
          color: $text-color;
        }
      }
    }
  }
}

.stats-row-profile {
  .stat-item {
    border-left: 0;
    text-align: center;

    &:nth(n + 1) {
      padding-left: 15px;
    }

    h6 {
      text-align: left;
    }

    @include media-breakpoint-up(lg){
      padding-right: 0;
    }

    .value {
      margin-bottom: 0.5rem;
      font-size: 28px;
      font-weight: $font-weight-base;
    }
  }
}

.activities{
  h3 {
    margin-left: 20px
  }
}
.event{
  .activities &{
    margin-top: $spacer;
    width: 100%;
    box-shadow: var(--widget-shadow);
  }
}

.event{
  background: $white;
  border-radius: $border-radius;
  padding: 20px 20px 0;
  position: relative;

  .post-comments{
    margin-left: -20px;
    margin-right: -20px;
  }

  > footer{
    margin: 20px -20px 0;
    padding: 10px 20px;
    border-bottom-left-radius: $border-radius;
    border-bottom-right-radius: $border-radius;
    background-color: #f3f3f3;

    @include clearfix();

    .thumb{
      margin-left: 10px;
    }
  }


}

.event-heading{
  margin: 0 0 2px;
  font-weight: $font-weight-semi-bold;
  > a {
    text-decoration: none;
    color: #7ca9dd;
  }
  > small{
    font-weight: $font-weight-semi-bold;
    > a{
      text-decoration: none;
      color: $text-muted;
    }
  }
}

.event-map{
  display: block;
  height: 200px;
  margin: 0 -20px -20px;
  overflow: visible !important;
}

.event-image{
  margin: 0 -20px -20px;
  max-height: 260px;
  overflow: hidden;
  > img{
    max-width: 100%;
  }
}


